Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisation.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisation.java	(revision ada7108e7e1f1ca36709d8a5b5889d49b98f4d7e)
@@ -12,9 +12,9 @@
     @Id
     @Column(name="id_user", nullable = false)
-    private int userId;
+    private Integer userId;
 
     @Id
     @Column(name="id_organisation", nullable = false)
-    private int organisationId;
+    private Integer organisationId;
 
     public DonorDonatesToOrganisation(int userId, int organisationId) {
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisationId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisationId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisationId.java	(revision ada7108e7e1f1ca36709d8a5b5889d49b98f4d7e)
@@ -8,6 +8,6 @@
 public class DonorDonatesToOrganisationId implements Serializable {
 
-    int userId;
-    int organisationId;
+    Integer userId;
+    Integer organisationId;
 
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategory.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategory.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategory.java	(revision ada7108e7e1f1ca36709d8a5b5889d49b98f4d7e)
@@ -12,9 +12,9 @@
     @Id
     @Column(name="id_pet", nullable = false)
-    private int petId;
+    private Integer petId;
 
     @Id
     @Column(name="id_category", nullable = false)
-    private int categoryId;
+    private Integer categoryId;
 
     public PetBelongsToCategory(int petId, int categoryId) {
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategoryId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategoryId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategoryId.java	(revision ada7108e7e1f1ca36709d8a5b5889d49b98f4d7e)
@@ -8,6 +8,6 @@
 public class PetBelongsToCategoryId implements Serializable {
 
-    int petId;
-    int categoryId;
+    Integer petId;
+    Integer categoryId;
 
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinic.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinic.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinic.java	(revision ada7108e7e1f1ca36709d8a5b5889d49b98f4d7e)
@@ -15,9 +15,9 @@
     @Id
     @Column(name = "id_pet", nullable = false)
-    private int petId;
+    private Integer petId;
 
     @Id
     @Column(name = "id_vet_clinic", nullable = false)
-    private int vetClinicId;
+    private Integer vetClinicId;
 
     @Column(name = "date_of_interventing", nullable = false)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinicId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinicId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinicId.java	(revision ada7108e7e1f1ca36709d8a5b5889d49b98f4d7e)
@@ -8,6 +8,6 @@
 public class PetNeedsInterventionInVetClinicId implements Serializable {
 
-    int petId;
-    int vetClinicId;
+    Integer petId;
+    Integer vetClinicId;
 
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapy.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapy.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapy.java	(revision ada7108e7e1f1ca36709d8a5b5889d49b98f4d7e)
@@ -12,9 +12,9 @@
     @Id
     @Column(name="id_pet", nullable = false)
-    private int petId;
+    private Integer petId;
 
     @Id
     @Column(name="id_therapy", nullable = false)
-    private int therapyId;
+    private Integer therapyId;
 
     public PetNeedsTherapy(int petId, int therapyId) {
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapyId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapyId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapyId.java	(revision ada7108e7e1f1ca36709d8a5b5889d49b98f4d7e)
@@ -8,6 +8,6 @@
 public class PetNeedsTherapyId implements Serializable {
 
-    int petId;
-    int therapyId;
+    Integer petId;
+    Integer therapyId;
     
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFood.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFood.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFood.java	(revision ada7108e7e1f1ca36709d8a5b5889d49b98f4d7e)
@@ -12,9 +12,9 @@
     @Id
     @Column(name = "id_pet", nullable = false)
-    private int petId;
+    private Integer petId;
 
     @Id
     @Column(name = "id_food", nullable = false)
-    private int foodId;
+    private Integer foodId;
 
     @Column(name = "quantity_a_day", nullable = false)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFoodId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFoodId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFoodId.java	(revision ada7108e7e1f1ca36709d8a5b5889d49b98f4d7e)
@@ -8,6 +8,6 @@
 public class PetPreferablyEatsFoodId implements Serializable {
 
-    private int petId;
-    private int foodId;
+    private Integer petId;
+    private Integer foodId;
 
 }
